json.array!(@events) do |event|
  json.extract! event, :id
  date_format = event.all_day? ? '%Y-%m-%d' : '%Y-%m-%dT%H:%M:%S'
  json.title event.name
  json.description event.name
  json.start event.start_at.strftime(date_format)
  json.end event.end_at.strftime(date_format)
  json.url event_url(event, format: :html)
end