# Be sure to restart your server when you modify this file.

# Add additional assets to the asset load path.
# Rails.application.config.assets.paths << Emoji.images_path
#Rails.application.config.assets.paths << ::ResourcePlanner::Engine.root.join('app','assets','resource_planner')
#Rails.application.config.assets.paths << ::ResourcePlanner::Engine.root.join('app','assets','fullcalendar-scheduler')
#Rails.application.config.assets.paths << ::ResourcePlanner::Engine.root.join('app','assets','bower-kendo-ui')

# Precompile additional assets.
# application.js, application.css, and all non-JS/CSS in the app/assets
# folder are already added.
# Rails.application.config.assets.precompile += %w( admin.js admin.css )

Rails.application.config.assets.precompile += %w( moment.css moment.js )
Rails.application.config.assets.precompile += %w( fullcalendar.css fullcalendar.js fullcalendar/locale-all.js )

Rails.application.config.assets.precompile += %w( fullcalendar-scheduler/scheduler.min.css fullcalendar-scheduler/scheduler.min.js )

Rails.application.config.assets.precompile += %w( resource_planner/reccuring_event_form.css resource_planner/reccuring_event_form.js )
Rails.application.config.assets.precompile += %w( resource_planner/index_fullcalendar.css resource_planner/index_fullcalendar.js )
Rails.application.config.assets.precompile += %w( resource_planner/form_fullcalendar.css )
Rails.application.config.assets.precompile += %w( resource_planner/form_fullcalendar_constructor.js )
Rails.application.config.assets.precompile += %w( resource_planner/form_fullcalendar.js ) # TODO: Rename to _highligherbar_manipulation
Rails.application.config.assets.precompile += %w( resource_planner/form_fullcalendar_resource_manipulation.js )

#Rails.application.config.assets.precompile += %w( kendo-ui-core/web/kendo.less )
#Rails.application.config.assets.precompile += %w( kendo-ui-core/kendo.common.core.less kendo-ui-core/web/kendo.default.less kendo-ui-core/web/kendo.default.mobile.less )
#Rails.application.config.assets.precompile += %w( kendo.all.min.js )
#Rails.application.config.assets.precompile += %w( kendo-ui-core/jquery.min.js kendo-ui-core/kendo.ui.core.js kendo-ui-core/kendo.calendar.js kendo-scheduler/kendo.scheduler.min.js )
#Rails.application.config.assets.precompile += %w( kendo-augurs/kendo.common-material.css kendo-augurs/kendo.material.min.css kendo-augurs/kendo.material.mobile.css )
#Rails.application.config.assets.precompile += %w( kendo-augurs/kendo.all.min.js kendo-augurs/kendo.timezones.min.js )

Rails.application.config.assets.precompile += %w( bower-kendo-ui/kendo.common.core.min.css bower-kendo-ui/kendo.default.min.css bower-kendo-ui/kendo.default.mobile.min.css )
Rails.application.config.assets.precompile += %w( bower-kendo-ui/kendo.common-material.min.css bower-kendo-ui/kendo.material.min.css bower-kendo-ui/kendo.material.mobile.min.css )
Rails.application.config.assets.precompile += %w( bower-kendo-ui/kendo.core.min.js )

#Rails.application.config.assets.precompile += %w( resource_planner/index_kendoui.css resource_planner/index_kendoui.js )
#Rails.application.config.assets.precompile += %w( resource_planner/form_kendoui.css resource_planner/form_kendoui.js )
