class CreateEvents < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_events do |t|
      t.references :parent_event, :default => nil
      t.references :event_type, :default => nil

      t.string :name
      t.string :description

      t.datetime :start_at
      t.datetime :end_at
      t.boolean :all_day, :default => false

      t.text :ical_expression

      t.timestamps :null => false
    end
  end
end
